Symantec Endpoint Protection AvHostPlugin Missing Authentication Denial-of-Service Vulnerability

2020-02-11T00:00:00
ID ZDI-20-227
Type zdi
Reporter Z0mb1E
Modified 2020-06-22T00:00:00

Description

This vulnerability allows local attackers to create a denial-of-service condition on affected installations of Symantec Endpoint Protection. An attacker must first obtain the ability to execute low-privileged code on the target system in order to exploit this vulnerability. The specific flaw exists within the AvHostPlugin.dll module. By invoking a method of a COM class, an attacker can delete arbitrary files. An attacker can leverage this vulnerability to create a denial-of-service condition on the system.